Package com.omnisci.thrift.server

## Enum TColumnRange._Fields

- java.lang.Object
- - java.lang.Enum<TColumnRange._Fields>
  - - com.omnisci.thrift.server.TColumnRange._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TColumnRange._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TColumnRange

    public static enum TColumnRange._Fields
    extends Enum<TColumnRange._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`BUCKET`
`COL_ID`
`FP_MAX`
`FP_MIN`
`HAS_NULLS`
`INT_MAX`
`INT_MIN`
`TABLE_ID`
`TYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TColumnRange._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TColumnRange._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TColumnRange._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TColumnRange._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TColumnRange._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TYPE

    public static final TColumnRange._Fields TYPE

See Also:
  `TExpressionRangeType`

#### COL_ID

    public static final TColumnRange._Fields COL_ID

#### TABLE_ID

    public static final TColumnRange._Fields TABLE_ID

#### HAS_NULLS

    public static final TColumnRange._Fields HAS_NULLS

#### INT_MIN

    public static final TColumnRange._Fields INT_MIN

#### INT_MAX

    public static final TColumnRange._Fields INT_MAX

#### BUCKET

    public static final TColumnRange._Fields BUCKET

#### FP_MIN

    public static final TColumnRange._Fields FP_MIN

#### FP_MAX

    public static final TColumnRange._Fields FP_MAX

### Method Detail

#### values

    public static TColumnRange._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TColumnRange._Fields c : TColumnRange._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TColumnRange._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TColumnRange._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TColumnRange._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TColumnRange._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`